Since feb 11 app inventor has stopped working

368 views
Skip to first unread message
Assigned to halatmi...@gmail.com by me

KG

unread,
Feb 14, 2014, 9:29:42 AM2/14/14
to mitappinv...@googlegroups.com

Since feb 11 app inventor has stopped working when I ran the emulator I just get this screen:

when I click ok on the app inventor website


I then get this error: "error 1101: unable to get response with the specified URL: http://dl.qyv.me/mitai2companion.apk"

I have tried uninstalling and reinstalling the emulator and I have tried another computer (that did not have it installed on before) and I get the same issue, I have also tried another user account that has never used app inventor and I get the same issue

we are running the software on a windows 7 computer that is connected to a domain (also using a AD account) and it access the internet via a proxy server.

the only thing I can think of that can course this is:
google server is too busy to download the updates.
there is an issues with the update it self.
the emulator has an issue downloading the update via a proxy (I have tried using the software at home and I get the same issue)

has anyone else had the same issue/ got it working?

Thanks Keiren

If you are asking for technical help, you must provide the following information:
- Are you using MIT App Inventor Classic, MIT App Inventor 2, or something else (what?)
- What OS are you using? Windows 7 SP1 )
- What browser are you using Google chrome V27

Untitled.jpg

p12an...@iimahd.ernet.in

unread,
Feb 15, 2014, 1:37:03 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com
Hi
My system configurations are same as KG's and I getting the exact same problem.

When I connect the emulator, it says that the companion needs to be updated and press OK to update. But once I press OK, nothing happens. Even I am running internet through proxy.

Hal Abelson

unread,
Feb 15, 2014, 2:02:40 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in
Please reinstall the latest setup software.   Then PLEASE post back here, saying whether or not that resolved the issue.  If this doesn't work, there are a couple more steps to try.

Anirban Roy Choudhury

unread,
Feb 15, 2014, 2:09:49 PM2/15/14
to Hal Abelson, mitappinv...@googlegroups.com, keire...@gmail.com
Hi
I had already reinstalled the setup program. But the problem continues. The windows installer that I used is the one given in the following link: http://appinventor.mit.edu/explore/ai2/update-setup-software.html

The question is, if this is the latest setup program and the companion is installed along with the setup, why would the companion need an update in the first place.
--
Regards

Anirban Roy Choudhury

Coordinator, Music Club of IIMA
Creative Coordinator, Insight 2013
Member, Academic Council of IIM A 
Member, Public Policy SIG

PGP 2012-14, IIM Ahmedabad || Dorm 22 || Room 7 || Mob: 9099981618
__________________________________________________________________
"Rudeness is a weak imitation of strength"

keire...@gmail.com

unread,
Feb 15, 2014, 2:12:25 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in

I have tried installing emulator 2.2 (downloaded from the website but i get the same issue).

Hal Abelson

unread,
Feb 15, 2014, 2:26:00 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in, Jeff Schiller, Andrew F McKinney
Thanks for replying so quickly.   The reason for the companion update is that the companion executes the behavior of all the components.  that's how live development works.  So when we change a component we need to update the companion.   This update is supposed to happen automatically, except for this first one, where the automatic update mechanism is not yet installed.

If you are really seeing the error message:


"error 1101: unable to get response with the specified URL: http://dl.qyv.me/mitai2companion.apk"

Then that probably means there is a firewall or a network filter blocking your ability to access the site

http://dl.qyv.me

What happens when you try to browse to that site.   On my computer I get

You have successfully connected to http://dl.qyv.me.

What do you get?

Anirban Roy Choudhury

unread,
Feb 15, 2014, 2:36:14 PM2/15/14
to Hal Abelson, mitappinventortest, keiren1990, Jeff Schiller, Andrew F McKinney
When I visit http://dl.qyv.me/
it tells me You have successfully connected to http://dl.qyv.me.

it says The requested URL /mitai2companion.apk was not found on this server.

keire...@gmail.com

unread,
Feb 15, 2014, 2:39:24 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in, Jeff Schiller, Andrew F McKinney
I get You have successfully connected to http://dl.qyv.me.

http://dl.qyv.me/mitai2companion.apk i get a 404 error page not found

jeffrey.schiller

unread,
Feb 15, 2014, 2:47:27 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in, Jeff Schiller, Andrew F McKinney
The correct URL is http://dl.qyv.me/MITAI2Companion.apk

Case matters.

-Jeff

jeffrey.schiller

unread,
Feb 15, 2014, 2:50:16 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in, Jeff Schiller, Andrew F McKinney
Try going to http://dl.qyv.me/MITAI2Companion.apk Note: This is a binary file so depending on your browser it may show you a screen of gibberish or (hopefully) it will ask for a location to download the file. If it does something else, like hangs forever or gives an error (maybe from a proxy), then that will help explain what is going on.

-Jeff

On Saturday, February 15, 2014 2:39:24 PM UTC-5, keire...@gmail.com wrote:

keire...@gmail.com

unread,
Feb 15, 2014, 2:58:05 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in, Jeff Schiller, Andrew F McKinney
the URL works now and i am able to download via the web browser (on the same desktop that is running the emulator)but why isn't the emulator downloading it, we use a proxy server do we need to enter the proxy server settings into the emulator or is there a way we can import the "mitai2companion.apk" to the emulator.

Thanks Keiren

Hal Abelson

unread,
Feb 15, 2014, 3:17:27 PM2/15/14
to mitappinv...@googlegroups.com, keire...@gmail.com, p12an...@iimahd.ernet.in, Jeff Schiller, Andrew F McKinney
Kieren,

Thanks.  We still need to figure out why the emulator isn't downloading the companion.   But your infor is really helpful.  Jeff needs to take a break for an hour, but we'll be back with a fix (at least a temporary one) soon.

In the meantime, if you want to try something quick:  do you know how to load files using adb install?  Try starting the emulator.  By hand if necessary, with run-emulator, from the commands-for-appinventor directory.
Once it is running, find the adb program on your computer and run

adb install <path to the companion file you downloaded>

see if that works.

Anirban Roy Choudhury

unread,
Feb 15, 2014, 4:04:04 PM2/15/14
to Hal Abelson, mitappinv...@googlegroups.com, keire...@gmail.com, Jeff Schiller, Andrew F McKinney
Hi
I tried what you said.
First I manually started the emulator. Then I tried to install the apk file using the adb install option
But it gives an error INSTALL_FAILED_ALREADY_EXISTS. 

I downloaded the apk file in this directory only
Atached a screenshot
Capture.JPG

Hal Abelson

unread,
Feb 15, 2014, 4:18:38 PM2/15/14
to mitappinv...@googlegroups.com, Hal Abelson, keire...@gmail.com, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
for the install try

adb install -r <file path>

[the -r means replace]

If gives you an error about incompatible certificates of something, first uninstall the old companion and then do the install again.

To uninstall, look under settings->apps

Letus know if this works.   We'll come out with a real fix soon.

Anirban Roy Choudhury

unread,
Feb 16, 2014, 6:55:59 AM2/16/14
to Hal Abelson, mitappinventortest, Keiren Grant, Jeff Schiller, Andrew F McKinney
It works, thnks

keire...@gmail.com

unread,
Feb 16, 2014, 7:12:00 AM2/16/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
is there any way to remotely automate that CMD as i have 90 computers with app inventor installed and all have the same issue. We are using this software for a GCSE assessment :/ and they needed this working last Wednesday or do i just need to bite the bullet and turn all the computers on login as a admin and run the cmd on each computer?

Thanks Keiren

Hal Abelson

unread,
Feb 16, 2014, 9:48:18 AM2/16/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
Kieren,

I believe you should not have to do anything, assuming that the proxy issue we fixed last night is the only problem.  Just run App Inventor on the student machines as usual, and connect to the emulator.  When the emulator is connecting it will show a message saying that you need to update the companion.  At that point, press the button to respond "not now" and continue working.  See if that works and let us know if it does not.

Jeff: Does this sound right?

jeffrey.schiller

unread,
Feb 16, 2014, 11:36:58 AM2/16/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
On Sunday, February 16, 2014 9:48:18 AM UTC-5, Hal Abelson wrote:
Jeff: Does this sound right?

Yep, that sounds right.

-Jeff

keire...@gmail.com

unread,
Feb 16, 2014, 3:36:01 PM2/16/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
Thanks for the update i will let you know how i get on, on Monday.

keire...@gmail.com

unread,
Feb 17, 2014, 6:25:10 AM2/17/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
using the "not now" works for us, thanks Keiren

let us know if you want us to test any proxy fixes and if you find any permanent fixes.

Thanks you have made a lot of happy bunnies this end.

Hal Abelson

unread,
Feb 17, 2014, 9:15:52 AM2/17/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
Kieren,

I'm glad that's working now.   But at some point we'll make an update to the companion that that really must be installed.

what we need to do at MIT is to find a way for the auto-update to work, even for people who are using proxies.  We're working on it.

One thing you could do to help is to see if there is a way on your machines to detect the address of the proxy server.   Take a look at

http://www.wincert.net/tips/networking/2509-how-to-find-out-which-proxy-server-i-am-using

and see if that method works for you and whether it returns the address of a poxy server.

Thanks

Enis

unread,
Feb 17, 2014, 1:59:08 PM2/17/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
You know Kieren... we LOVE happy bunnies up here!

keire...@gmail.com

unread,
Feb 18, 2014, 3:05:55 AM2/18/14
to mitappinv...@googlegroups.com, Hal Abelson, Keiren Grant, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
yes the CMD returns "ProxyServer REG_SZ myproxy123:8080"

myproxy123 has been changed but it does return the corrected DNS address.

Hal Abelson

unread,
Feb 18, 2014, 12:10:30 PM2/18/14
to keire...@gmail.com, mitappinventortest, Jeff Schiller, Andrew F McKinney, p12an...@iimahd.ernet.in
Keiren,

thanks,  That gives us a direction to go in trying to fix this.  We'll also try to explore another update method that is immune from proxy issue altogether.

brunot...@gmail.com

unread,
Feb 26, 2014, 2:25:16 AM2/26/14
to mitappinv...@googlegroups.com, keire...@gmail.com
Okay... I found a solution thats pretty confusing but seems to work:

You click on -connect to emulator-, confirm that you want to update the and you ll get the error message in the emulator that its unable to get a response.
Then you click on -connect to emulator- AGAIN.
In your emulator you will get a button to EXIT the application.
Confirm that you want to update again.
This time the emulated phone will ask you to replace the application and the update really works this time.

I don´t have a clue, why this works, but it does...


Reply all
Reply to author
Forward
0 new messages